Infrastructure - Story #7259

A DEV2 development environment is needed for upgrade testing
Status: Closed Start date: 2015-07-16
Assignee: Chris Jones % Done: 100%
Category: Environment.Development2 Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

While we have many test environments, they are already purposed for trunk development and CCl V1.x upgrade testing. Instead of
using the DEV or SANDBOX environments to upgrade from a CCl V1.x CN stack to a CCI V2.x CN stack, we've decided it would be
better to use a DEV2 environment. VMs need to be created for the following layout:

e 2 CNs, one at UCSB, one at UNM
¢ 2 MNs at UCSB (one V1 Metacat, one V2 Metacat)
¢ 2 MNs at UNM (one V1 GMN, one V2 Metacat (which should eventually be replaced as a V2 GMN))

Subtasks:

Task # 7260: Create DEV2 VMs at UCSB Closed
Task # 7261: Create DEV2 VMs at UNM Closed
Task # 7262: Add the DEV2 VMs to the Debian environment configuration Closed
Task # 7263: Install CCl 1.5.x on cn-dev-ucsb-2 and cn-dev-unm-2 Closed
Task # 7269: Add CN node LDAP entries for the DEV2 environment CNs Closed
Task # 7271: Add apparmor-utils to the dataone-cn-os-core dependency list Closed
Task # 7273: Register public key with ClLogon for DEV2 environment Closed
Task # 7290: Install MN software on DEV2 environment VMs Closed
Task # 7321: Populate DEV2 MNs with real-world test data Closed
Task # 7332: Fix dataone-cn-os-core postinst to really remove Bouncy Castle jars Closed
Task # 7333: Upgrade DEV2 Metacat MNs to V2 Closed
Task # 7335: Confirm that unlimited strength Java encryption policies are installed via... Closed
History

#1 - 2015-07-16 16:54 - Chris Jones

- Category changed from Support Operations to Environment.Development2

#2 - 2015-07-24 22:41 - Chris Jones

- Subject changed from A second development environment is needed for upgrade testing to A DEV2 development environment is needed for upgrade
testing

#3 - 2015-09-22 17:54 - Chris Jones
- Status changed from New to Closed

- % Done changed from 0 to 100

The environment is fully built out and we're testing in it.
